Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 187325 - Review Request: jaws
Summary: Review Request: jaws
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis (ignored mailbox)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-03-30 01:22 UTC by Kyle Yencer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-18 21:54:18 UTC


Attachments (Terms of Use)

Description Kyle Yencer 2006-03-30 01:22:33 UTC
Spec Name or Url: jaws.spec
SRPM Name or Url: http://files.yencer.net/pub/fedora/extras/5/SRPMS/jaws-0.6.1-1.fc5.src.rpm
Description: A framework and content management system for building dynamic Web sites.

Comment 1 Kyle Yencer 2006-04-09 18:22:03 UTC
Spec Name or Url: jaws.spec
SRPM Name or Url:
http://files.yencer.net/pub/fedora/extras/5/SRPMS/jaws-0.6.1-1.fc5.src.rpm
Description: A framework and content management system for building dynamic Web
sites.

Comment 2 Jason Tibbitts 2006-06-02 01:06:39 UTC
I noticed that this review request had been inactive so I thought I'd give a
quick look.

Some simple things to fix:

Release: 1.%{?dist}

You should omit the dot; %{dist} includes a dot so you'll end up with two.

rpmlint warnings:

W: jaws summary-ended-with-dot A framework and content management system for
building dynamic Web sites.

Summary: should not end in a period.

W: jaws incoherent-version-in-changelog 0.6.1-1 0.6.1-1..fc6

Not sure what's up here; perhaps it doesn't like the dot in Release:.

E: jaws script-without-shellbang
/var/www/jaws/plugins/AntiSpammers/languages/ro/AntiSpammers.php

Lots of these (61, to be exact); I don't believe these PHP scripts, css files,
xml files or javascript files should be executable.

E: jaws wrong-script-end-of-line-encoding
/var/www/jaws/plugins/AntiSpammers/languages/ro/AntiSpammers.php

Lots of these as well (41); a quick trip through tr should fix them up.

E: jaws version-control-internal-file
/var/www/jaws/include/pear/MDB2/Driver/Function/CVS/Entries

CVS directories and anything under them should just be deleted.

E: jaws zero-length
/var/www/jaws/include/Extras/piwi/piwidata/js/jscalendar/lang/calendar-af.utf8.js

There are four zero-length files shipped:
 /var/www/jaws/include/Extras/piwi/piwidata/js/jscalendar/lang/calendar-af.utf8.js
/usr/share/doc/jaws-0.6.1/NEWS
/var/www/jaws/include/Extras/geshi/geshi/css-gen.cfg
/var/www/jaws/include/Extras/piwi/piwidata/js/jscalendar/lang/calendar-af.js

These shouldn't be included unless they're required for something.

Other than these the package looks good.  However, I don't see your address in
owners.list, nor do I see anything that obviously matches your address in the
accounts system.  Do you require sponsorship?

Comment 3 Jason Tibbitts 2006-06-15 18:08:16 UTC
Any progress with this package?  I know it sat for a couple of months without a
review, and for that I apologize.  If you're no longer interested in packaging
it, please let us know.

Comment 4 Jason Tibbitts 2006-06-22 16:06:14 UTC
If I don't hear back soon, I'm going to go ahead and close this ticket.

Comment 5 Kyle Yencer 2006-06-22 16:09:02 UTC
I do require sponsership.  I will get the package cleaned up and repost the spec
over the weekend.

Comment 6 Jason Tibbitts 2006-08-18 21:54:18 UTC
Closing this bug and blocking FE-DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.